GH-RELEASE-EDIT(1)

NAME
gh-release-edit - Edit a release

SYNOPSIS
gh release edit <tag>

OPTIONS

--discussion-category <string>
    Start a discussion in the specified category when publishing a draft

--draft
    Save the release as a draft instead of publishing it

--latest
    Explicitly mark the release as "Latest"

-n, --notes <string>
    Release notes

-F, --notes-file <file>
    Read release notes from file (use "-" to read from standard input)

--prerelease
    Mark the release as a prerelease

--tag <string>
    The name of the tag

--target <branch>
    Target branch or full commit SHA (default [main branch])

-t, --title <string>
    Release title

--verify-tag
    Abort in case the git tag doesn't already exist in the remote repository

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

EXAMPLE
    Publish a release that was previously a draft
    $ gh release edit v1.0 --draft=false
    Update the release notes from the content of a file
    $ gh release edit v1.0 --notes-file /path/to/release_notes.md

SEE ALSO
gh-release(1)